[NTG-context] Trouble with editors on Mac

Mari Voipio mari.voipio at iki.fi
Wed Aug 14 21:34:40 CEST 2013


Hi!

I updated my ConTeXt installation today and now it refuses to work
with TextMate and TeXworks. When I use the typesetting command on
either editor, I get the error message

mtxrun          | unknown script 'context.lua' or 'mtx-context.lua'


The weird thing is that my ConTeXt standalone installation works on
command line (with "context myfile.tex").
I've used TextMate for a year and did not change anything there. Both
editors also have my ConTeXt directory
/Applications/ConTeXt/tex/texmf-osx-64/bin/context as PATH variable (I
got a different error message on TeXworks before I edited the path
variable to include ConTeXt). So in theory everything should be
fine...


I first installed the newest ConTeXt and when it gave the above error
message, I switched to latest "stable" version (installation with
--context=current), but that didn't make any difference. My previous
installation was at least 3 months old, possibly quite a bit older.


This problem is not critical as I can use TextMate/TeXworks as editor
and compile on command line in Terminal,  but it is a bit of a
nuisance not to be able to use the typesetting command in the editor.
So any help is highly appreciated.


Thanks,

Mari


More information about the ntg-context mailing list